#include "Triangle.h"
#include <iostream>

Triangle::Triangle(struct Point f, struct Point s, struct Point t)
{
    init(f.x, f.y, s.x, s.y, t.x, t.y);
}

double Triangle::calc_area()
{
    return 0.5 * abs((x2 - x1)*(y3-y1)-(x3-x1)*(y2-y1));
}

double Triangle::calc_perimiter()
{
    return l2(x1, y1, x2, y2) + l2(x3, y3, x2, y2) + l2(x1, y1, x3, y3);
}

void Triangle::name()
{
    std::cout << "Triangle" << std::endl;
}